---
title: WeakMap.prototype.has()
slug: Web/JavaScript/Reference/Global_Objects/WeakMap/has
tags:
  - ECMAScript 2015
  - JavaScript
  - Method
  - Prototype
  - WeakMap
---
<div>{{JSRef}}</div>

<p>The <strong><code>has()</code></strong> method returns a boolean indicating whether an element with the specified key exists in the <code>WeakMap</code> object or not.</p>

<div>{{EmbedInteractiveExample("pages/js/weakmap-prototype-has.html")}}</div>

<div class="hidden">The source for this interactive example is stored in a GitHub repository. If you'd like to contribute to the interactive examples project, please clone <a href="https://github.com/mdn/interactive-examples">https://github.com/mdn/interactive-examples</a> and send us a pull request.</div>

<h2 id="Syntax">Syntax</h2>

<pre class="syntaxbox notranslate"><var>ws</var>.has(<var>key</var>);</pre>

<h3 id="Parameters">Parameters</h3>

<dl>
 <dt><code><var>key</var></code></dt>
 <dd>Required. The key of the element to test for presence in the <code>WeakMap</code> object.</dd>
</dl>

<h3 id="Return_value">Return value</h3>

<dl>
 <dt>Boolean</dt>
 <dd>Returns <code>true</code> if an element with the specified key exists in the <code>WeakMap</code> object; otherwise <code>false</code>.</dd>
</dl>

<h2 id="Examples">Examples</h2>

<h3 id="Using_the_has_method">Using the has method</h3>

<pre class="brush: js notranslate">var wm = new WeakMap();
wm.set(window, 'foo');

wm.has(window); // returns true
wm.has('baz');  // returns false
</pre>

<h2 id="Specifications">Specifications</h2>

<table class="standard-table">
 <thead>
  <tr>
   <th scope="col">Specification</th>
  </tr>
 </thead>
 <tbody>
  <tr>
   <td>{{SpecName('ESDraft', '#sec-weakmap.prototype.has', 'WeakMap.prototype.has')}}</td>
  </tr>
 </tbody>
</table>

<h2 id="Browser_compatibility">Browser compatibility</h2>

<p>{{Compat("javascript.builtins.WeakMap.has")}}</p>

<h2 id="See_also">See also</h2>

<ul>
 <li>{{jsxref("WeakMap")}}</li>
 <li>{{jsxref("WeakMap.prototype.set()")}}</li>
 <li>{{jsxref("WeakMap.prototype.get()")}}</li>
</ul>
